Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 203422 - Hints does not work while parsing
Hints does not work while parsing
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Hints
7.1
All All
: P3 (vote)
: 7.2
Assigned To: Jan Lahoda
issues@java
:
Depends on: 182653
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-10 10:12 UTC by Egor Ushakov
Modified: 2012-01-26 12:45 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Egor Ushakov 2011-10-10 10:12:53 UTC
Steps to reproduce:
- open big file (my case - 4500 lines)
- have a hint in it (my case - add @Override annotation on a method)
- edit it and click on annotation
IDE will hang until the file is fully reparsed.
Comment 1 Egor Ushakov 2011-10-10 10:34:49 UTC
NB 7.1 beta
Comment 2 Egor Ushakov 2011-10-10 11:41:27 UTC
it also happens when you insert one @Override annotation and wants to quickly insert the other one with the next hint - it just hangs for a couple seconds
Comment 3 David Strupl 2011-10-11 08:20:57 UTC
Impossible to implement before# 182653 --> marking as next.
Comment 4 Tomas Zezula 2012-01-26 12:45:37 UTC
Fixed jet-main 41985eb45913


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo